/* Copyright (c) 2001-2009 by SoftIntegration, Inc. All Rights Reserved */
#include <stdio.h>

int main() {
  char buffer[128];
  snprintf(buffer, 128, "test snprintf:%d, %s, %s\n", 10,"test1", "test2");
  printf("buffer= %s\n", buffer);
}
